# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-03-31 22:09
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('kiss_contact_us', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='EmailRelay',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('to_addresse', models.EmailField(max_length=255, verbose_name='to addresse')),
            ],
        ),
        migrations.AlterModelOptions(
            name='subject',
            options={'ordering': ('subject',), 'verbose_name': 'sujet', 'verbose_name_plural': 'sujets'},
        ),
        migrations.AlterField(
            model_name='message',
            name='author_email',
            field=models.EmailField(max_length=255, verbose_name="email de l'auteur"),
        ),
        migrations.AlterField(
            model_name='message',
            name='author_name',
            field=models.CharField(max_length=255, verbose_name="nom de l'auteur"),
        ),
        migrations.AlterField(
            model_name='message',
            name='date',
            field=models.DateTimeField(blank=True, help_text='Lorsque ce message a été envoyé', null=True, verbose_name='date'),
        ),
        migrations.AlterField(
            model_name='message',
            name='managers_notified_by_email',
            field=models.BooleanField(default=False, verbose_name='gestionnaires notifiés par e-mail'),
        ),
        migrations.AlterField(
            model_name='message',
            name='subject',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='kiss_contact_us.Subject', verbose_name='sujet'),
        ),
        migrations.AlterField(
            model_name='subject',
            name='subject',
            field=models.CharField(max_length=255, verbose_name='sujet'),
        ),
        migrations.AddField(
            model_name='emailrelay',
            name='for_subject',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='kiss_contact_us.Subject', verbose_name='for subject'),
        ),
    ]
